<div id="video_page" class="container-fluid">
  <div class="row">
    <div class="col-lg-2 col-md-4 p-0">
      <?php include 'layouts/assemble/side_videos_menu_layout.php'; ?>
    </div>

      <div id="content" class="col-lg-10 col-md-8 mt-4">
      <div id="video_player_container" class="container mb-2 p-2">
        <div class="mb-4">
          <?php include('layouts/ads/leaderboard_ad.php'); ?>
        </div>

        <div id="media" class="mb-2" data-content="<?php echo htmlspecialchars($json_data[0]['media']);?>">
          <div id="loading_animation" class="d-flex justify-content-center my-5">
            <div class="spinner-border theme_font_color" role="status">
              <span class="visually-hidden">Loading...</span>
            </div>
          </div>
        </div>

        <script>
          $(document).ready(function() {
            $("#loading_animation").remove();
            var content = $("#media").attr("data-content");
            $("#media").append(content);
          });
        </script>

        <h1 id="title" class="fs-3 fw-bold mb-2"><?php echo $json_data[0]['title'];?></h1>

        <div id="post_breadcrumbs" class="row post_breadcrumbs mb-3 mx-0">
          <div class="col-8 col-md-7 col-lg-3 px-0 small">
            <div class="d-flex">
              <div class="bg-light text-center px-2 rounded-3">
                <a href="javascript:void(0);" id="like" class="text-decoration-none" title="Like this post"><i class="bi bi-emoji-smile"></i> <span class="ms-xl-1">Like</span></a>
              <?php echo $json_data[0]['like_postaction'];?>
              </div>
              <div class="bg-light text-center px-2 rounded-3 ms-1">
                <a href="javascript:void(0);" id="dislike" class="text-decoration-none" title="Dislike this post"><i class="bi bi-emoji-frown"></i> <span class="ms-xl-1">Dislike</span></a>
              <?php echo $json_data[0]['dislike_postaction'];?>
              </div>
              <div class="bg-light text-center px-2 rounded-3 ms-1">
                <a href="javascript:void(0);" id="share" class="text-decoration-none" title="Share this post"><i class="bi bi-share-fill"></i> <span class="ms-xl-1">Share</span></a>
              <?php echo $json_data[0]['share_postaction'];?>
              </div>
              <div class="bg-light text-center px-2 rounded-3 ms-1">
                <a href="<?php echo $json_data[0]['source_url'];?>" id="source" class="text-decoration-none" title="<?php echo $json_data[0]['title'];?>" target="_blank"><i class="bi bi-link-45deg"></i> <span class="ms-xl-1">Source</span></a>
              </div>
              <div class="bg-light text-center px-2 rounded-3 ms-1">
                <a href="javascript:void(0);" id="report" class="text-decoration-none" title="Report this post"><i class="bi bi-flag"></i> <span class="ms-xl-1">Report</span></a>
                <?php echo $json_data[0]['report_postaction'];?>
              </div>
              <div class="bg-light text-center px-3 rounded-3 ms-1">
                <a href="javascript:void(0);" id="edit" class="text-decoration-none" title="Edit this post"><i class="bi bi-pencil-square"></i> <span class="ms-xl-1">Edit</span></a>
                <?php echo $json_data[0]['edit_postaction'];?>
              </div>
            </div>
          </div>
        </div> <!-- /#post_breadcrumbs -->

        <p id="description" class="mb-4 fs-5"><?php echo $json_data[0]['description'];?></p>

        <div id="source" class="mb-4"><?php echo $json_data[0]['source'];?></div>
      </div> <!-- /#video_player_container -->

      <div id="content_grid" class="container mb-4 px-2">
        <div class="mb-4">
          <?php include('layouts/ads/full_banner_ad.php'); ?>
        </div>
        <div class="row">
          <div id="grid_posts" class="col-lg-8">
            <div id="browse_videos" class="border-mb-bottom mb-2 pb-mb-4 mb-mb-4">
              <?php
                $category_slug = $json_data[0]['category_slug'];
                $position = 'popular';
                $quantity = 30;
                $page_number = 1;
                $json_data = fc_json_data_videos_category($category_slug,$position,$quantity,$page_number);

                if(isset($json_data[0]['id'])) {
                  echo '<h5 class="fw-bold">Browse <span class="theme_font_color">Videos</span></h5>';
                  echo '<HR class="text-secondary mb-4">';
                }
              ?>
              <div class="row row-cols-md-1 row-cols-lg-3 g-3 pt-3">
                <?php
                for ($number=0; $number < $json_data[0]['quantity_found']; $number++) {
                  if(isset($json_data[$number]['id'])) {
                    include('layouts/assemble/grid_post_video_item.php');
                  }
                }
                ?>
              </div> <!-- /.row #browse_videos -->
            </div> <!-- /#browse_videos -->

            <hr class="text-secondary mobile_hide mb-4">

            <div class="mb-4 sticky_ad">
              <?php include 'layouts/ads/billboard_ad.php'; ?>
            </div>
          </div> <!-- /#grid_posts -->

          <div id="content_sidebar" class="col-lg-4">
            <?php include('layouts/assemble/sidebar_layout.php'); ?>
          </div> <!-- /#content_sidebar -->
        </div> <!-- /.row #content_grid -->

      </div> <!-- /#content_grid -->
    </div> <!-- /#content -->
  </div> <!-- /.row #video_page -->
</div> <!-- /#video_page -->
